- Home
- API Enriched
- Shape
- shape
- List bot threat intelligence packages.
List bot threat intelligence packages.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/ti_packages';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/ti_packages \ --header 'Authorization: <Authorization>'ListBotThreatIntelligencePackages ti_packages.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace is used to scope the query.
Responses
Section titled “Responses”A successful response.
Response for list bot threat intelligence packages metadata.
object
Bot Threat Intelligence Package holds details of a threat intelligence package.
Metadata of Bot Threat Intelligence Package.
object
ID of the bot threat intelligence package.
Name of the bot threat intelligence package.
Version of the bot threat intelligence package.
Examplegenerated
{ "bot_threat_intelligence_packages": [ { "id": "example", "package_name": "example", "version": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example